## sdl-mixer1.2 1.2.11

=== debian/changelog ===
sdl-mixer1.2 (1.2.11-5) unstable; urgency=low

  [ Felix Geyer ]
  * Fix Vcs-Browser link.

  [ Manuel A. Fernandez Montecelo ]
  * debian/rules:
    - Issue "disable-*-shared" flags for 'configure' again, otherwise SDL_mixer
      library opens those libraries in a plugin-like way (with SDL_LoadObject),
      and dpkg-shlibdeps doesn't seem to generate the needed dependencies in the
      binary library package.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 04 Dec 2011 12:59:09 +0000

sdl-mixer1.2 (1.2.11-4) unstable; urgency=low

  * Upload to unstable
  * Improvements in debian/rules:
    - Remove support for setting some autoconf options directly, newer debhelper
      takes care of this
    - Using dpkg-buildflags's options as base, and hardening on top, before
      preferred flags
  * Modifications to dependencies and build options:
    - Depending on newer dpkg-dev (quells lintian warning when using build
      hardening flags)
    - Removed Conflict-like dependencies (Breaks, Replaces) on
      libsdl-mixer{,1.0,1.1}-dev. They are more than 10 years old and not
      present in any of the last Debian releases, long unsupported.
    - Use libmad (GPL) instead of unmaintained smpeg (LGPL) for mp3 support
    - Stating more explicitly in debian/rules the options that we use to build
      the project
    - Drop --disable-shared options for the different plugins.  I couldn't find
      any reason for or against in the changelog, and the default is to enable
      this support.
  * Bump Standards-Version to 3.9.2 (no changes needed)
  * Remove previous Uploaders, all of them not active for years
  * Removed duplicated entry in previous version's changelog:
    - "debian/copyright: updated and converted to DEP-5 (dod)"

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 03 Dec 2011 16:42:24 +0000

sdl-mixer1.2 (1.2.11-3) experimental; urgency=low

  * New upstream release (Closes: #568445 #600467)
  * New maintainer
    - Add myself to uploaders, and setting DM-Upload-Allowed: yes
  * Incorporating changes from different sources, unreleased
    - Changing "Closes" lines to "Closes_in_1.2.11-3"
  * Changed debhelper compat to level 8 (level 5 before):
    - Updated dependency on debhelper to (>= 8.0.0)
    - Removed dependency on quilt
    - Simplify a lot debian/rules file by leveraging debhelper capabilities,
      only acting when deviating from auto behaviour
  * Added 'source/format', with '3.0 (quilt)'
    - Consequently, removed README.source
  * Added 'watch' file
  * Added Vcs-Git and Vcs-Browser in 'control' file
  * Shipping pkg-config files
  * Added FLAC support
  * Updated dependencies:
    - libsdl1.2-dev (>= 1.2.14) -- was (>= 1.2.4)
    - libsmpeg-dev (>= 0.4.5+cvs20030824-2.2) -- was (>= 0.4.5+cvs20030824-1.3)
    - libogg-dev (>= 1.2.0) -- was none
    - libvorbis-dev (>= 1.2.0) -- was (>= 1.0.0-3)
    - libmikmod2-dev (>= 3.1.11) -- was none
    - libflac-dev (>= 1.2.1) -- was none
  * Patches dropped:
    - 220_mixer_segfaults.diff (applied upstream)
    - 200_channel_segfaults.diff (now libmikmod ships in a zip, and it uses
      system's one anyway)
    - 00_mikmod_syslibs.patch (seemed to be related to remove tests in SDL_mixer
      of mikmod versions, probably this restriction is not applicable now, and
      it's safer to know what's SDL_mixer opinion about it anyway)
    - 00_link-libm.patch (substituted from another one from upstream)
    - 01_autoreconf.patch and 01_relibtoolize.patch (handled with dh_autoreconf)
    - 230_racecondition_hg884a700fb3ff.diff (applied upstream)
  * Patches added:
    - 00_link_libm_hgdb31b63abab9.patch (backport from upstream, grabbed by
      Roman Vasiyarov <rvasiyarov@gmail.com> on #600467, 1.2.11-2 UNRELEASED)
    - 07_FLAC_SDL_RWops_memory_leaks.patch (Jon Dowland <jmtd@debian.org>,
      1.2.11-1 UNRELEASED)
  * Patches renamed:
    - 00_no_lvorbis_logg.diff -> 01_no_lvorbis_logg.patch
    - 04_timidity_cfg_opts.diff -> 04_timidity_cfg_opts.patch
    - 05_fallback_to_freepats.diff -> 05_fallback_to_freepats.patch
    - 210_dev_snd_seq.patch -> 06_dev_snd_seq.patch
  * All patches refreshed
  * debian/copyright: updated and converted to DEP-5 (dod)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 30 Nov 2011 10:39:07 +0100

sdl-mixer1.2 (1.2.8-6.4) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping la file. Closes: #633326.

 -- Regis Boudin <regis@debian.org>  Sat, 24 Sep 2011 16:55:30 +0100

sdl-mixer1.2 (1.2.8-6.3) unstable; urgency=low

  * Non-maintainer upload.
  * *really* upload to unstable.

 -- Jon Dowland <jmtd@debian.org>  Sat, 11 Dec 2010 09:11:33 +0000

sdl-mixer1.2 (1.2.8-6.2) experimental; urgency=low

  * Non-maintainer upload.
  * Upload to unstable.

 -- Jon Dowland <jmtd@debian.org>  Fri, 10 Dec 2010 22:55:16 +0000

sdl-mixer1.2 (1.2.8-6.1) experimental; urgency=low

  * Non-maintainer upload.
  * Backport a fix for a race condition in positional effects.
    Closes: #605504.

 -- Jon Dowland <jmtd@debian.org>  Wed, 08 Dec 2010 20:07:08 +0000

sdl-mixer1.2 (1.2.8-6) unstable; urgency=low

  [ Barry deFreese ]
  * Add myself to uploaders.
  * 04_timidity_cfg_opts.diff - (Closes: #398805).
    + Ignore unknown options in timidity.cfg.
    + Thanks to Brandon Barnes for the patch.
  * 05_fallback_to_freepats.diff - (Closes: #453308).
    + Use freepats config if timidity isn't present.
    + Thanks to Fabian Greffrath for the patch.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.1.
    + Move Homepage from package description to source stanza.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 22 May 2009 10:33:13 -0400

sdl-mixer1.2 (1.2.8-5) unstable; urgency=low

  * debian/README.source:
    + New file.

  * debian/control
    + Standards-version is 3.8.0.

  * debian/copyright:
    + Add a copyright entry.

  * 220_mixer_segfaults.diff: 

