=== debian/control ===
Source: sdl-mixer1.2
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 8.0.0),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               libflac-dev (>= 1.2.1),
               libmad0-dev (>= 0.15.1b),
               libmikmod2-dev (>= 3.1.11),
               libogg-dev (>= 1.2.0),
               libsdl1.2-dev (>= 1.2.14),
               libtool,
               libvorbis-dev (>= 1.2.0)
Standards-Version: 3.9.2
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/sdl-mixer1.2.git
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/sdl-mixer1.2.git
DM-Upload-Allowed: yes
Homepage: http://www.libsdl.org/projects/SDL_mixer/

Package: libsdl-mixer1.2
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Mixer library for Simple DirectMedia Layer 1.2, libraries
 SDL Mixer is a sample multi-channel audio mixer library.  It supports 4
 channels of 16 bit stereo audio, plus a single channel of music, mixed by
 the popular MikMod MOD, Timidity MIDI, and SMPEG MP3 libraries.

Package: libsdl-mixer1.2-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libc6-dev,
         libflac-dev (>= 1.2.1),
         libmad0-dev (>= 0.15.1b),
         libmikmod2-dev (>= 3.1.11),
         libogg-dev (>= 1.2.0),
         libsdl-mixer1.2 (= ${binary:Version}),
         libsdl1.2-dev (>= 1.2.14),
         libvorbis-dev (>= 1.2.0)
Description: Mixer library for Simple DirectMedia Layer 1.2, development files
 SDL Mixer is a sample multi-channel audio mixer library.  It supports 4
 channels of 16 bit stereo audio, plus a single channel of music, mixed by
 the popular MikMod MOD, Timidity MIDI, and SMPEG MP3 libraries.
 .
 This package contains files needed if you wish to use the SDL mixer
 library in your own programs.
