=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS +=	-pipe -Wall
LDFLAGS +=	-Wl,--no-undefined -Wl,-Bsymbolic -Wl,--as-needed
export CFLAGS LDFLAGS


# enable external music player
confflags = --enable-music-cmd

# explicitly enable/disable all supported sound, using libmad instead of
# libsmpeg for mp3 (it's much more popular, and smpeg is unmaintained)
confflags += --enable-music-wave
confflags += --enable-music-mod
confflags += --enable-music-ogg
confflags += --enable-music-mod
confflags += --disable-music-mp3
confflags += --enable-music-mp3-mad-gpl

# MIDI: use GPL code for the native MIDI player, explicitly state that we use
# (an in-source copy of) timidity
confflags += --enable-music-timidity-midi
confflags += --disable-music-native-midi
confflags += --enable-music-native-midi-gpl

# mafm 20111203: removed the "disable shared" support from previous versions, I
# couldn't find any reason for it in the changelog
#
# mafm 20111204: issue "disable-*-shared" flags for 'configure' again, otherwise
# SDL_mixer library opens those libraries in a plugin-like way (with
# SDL_LoadObject), and dpkg-shlibdeps doesn't seem to generate the needed
# dependencies in the binary library package
confflags += --disable-music-mod-shared
confflags += --disable-music-ogg-shared
confflags += --disable-music-mp3-shared
confflags += --disable-music-flac-shared


%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_installchangelogs:
	dh_auto_installchangelogs -- CHANGES
