=== debian/watch ===
version=3
http://www.libsdl.org/projects/SDL_mixer/release/SDL_mixer-([\d\.]+)tar\..*
