## sdl-mixer1.2 1.2.12

=== debian/changelog ===
sdl-mixer1.2 (1.2.12-7ubuntu1) saucy; urgency=low

  * Update config.sub/guess in dh_autoreconf to fix build on arm64.

 -- William Grant <wgrant@ubuntu.com>  Wed, 16 Oct 2013 10:36:15 +1100

sdl-mixer1.2 (1.2.12-7) unstable; urgency=low

  * Team upload.
  * Added patch to remove bad call to SDL_free that triggered
    test failure and FTBS for libsdl-perl (Closes: #718129)

 -- Dominique Dumont <dod@debian.org>  Wed, 07 Aug 2013 19:16:25 +0200

sdl-mixer1.2 (1.2.12-6) unstable; urgency=low

  * MIDI enhancements (Thanks Fabian Greffrath for the reports and the
    fixes):
    - Add the "--disable-music-fluidsynth-shared" parameter to ./configure so
      the library is linked to libfluidsynth instead of loaded through dlopen()
      at runtime (Closes: #715447).
    - Add patch bug-715461-soundfont_paths.patch and depend on "sf2" sound fonts
      to have good MIDI sounds by default (Closes: #715461).

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 11 Jul 2013 12:17:15 +0100

sdl-mixer1.2 (1.2.12-5) unstable; urgency=low

  * Adding patch (bug-694260-freedink_stack_corruption.patch) backported from
    upstream, to protect against stack corruption when midi file has more than
    16 channels (Closes: #694260).  Thanks Bas Wijnen for the report and
    analysis.
  * Recommend midi patch set (Closes: #700375).  Thanks Fabian Greffrath.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 09 Jun 2013 16:41:16 +0100

sdl-mixer1.2 (1.2.12-4) unstable; urgency=low

  * Bump Policy Standards-Version to 3.9.4 (no changes needed)
  * Add package -dbg with debugging information
  * Remove field "DM-Upload-Allowed: yes", obsolete
  * Change maintainer address

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 08 May 2013 23:33:19 +0100

sdl-mixer1.2 (1.2.12-3) unstable; urgency=low

  * Bring back the unnecessary dependencies previously dropped by Felix Geyer,
    only present in experimental.  This solution is preferred for the time
    being, rather than start branching because of this kind of changes.  We
    submitted bugs and provided experimental packages well before the freeze in
    order to help maintainers to fix the problems, but most packages depending
    and relying on this one to include these dependencies were not fixed in
    time.  Dependencies will be removed for good just after Wheezy is released.
  * Added patches:
    - bug-688369-double_free_crash.patch: Backport patch from upstream to fix
      crash caused by freeing the same memory region twice.  Thanks Philipp
      Klaus Krause for reporting and pointing to the fix (Closes: #688369).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 23 Sep 2012 15:00:38 +0100

sdl-mixer1.2 (1.2.12-3~exp1) experimental; urgency=low

  [ Felix Geyer ]
  * Drop unnecessary dependencies of libsdl-mixer1.2-dev

  [ Manuel A. Fernandez Montecelo ]
  * Upload to experimental, so people can check if their packages continue to
    build with the removed dependencies

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 09 May 2012 17:53:36 +0100

sdl-mixer1.2 (1.2.12-2) unstable; urgency=low

  * Bump Policy Standards-Version to 3.9.3 (no changes needed)
  * Build-Depends on debhelper>=9~, quells lintian warning
    "package-needs-versioned-debhelper-build-depends 9"
  * Build-Depends and Depends on SDL with added ~ to the version number, in
    order to allow to work with backported/local versions
  * Adding lintian overrides for the slightly different names "libsdl-mixer1.2"
    and "libSDL-mixer-1.2-0" -- the package names are not going to change by now
    for the 1.2 series
  * Update debian/copyright format now that 1.0 is approved (quells lintian
    unversioned-copyright-format-uri)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 01 May 2012 20:21:27 +0100

sdl-mixer1.2 (1.2.12-1) unstable; urgency=low

  * New upsteam release
    - debian/copyright: Switch from LGPL to zlib/libpng license, and better
      document timidity (which is under 3 licenses, but primarily Artistic)
    - Native MIDI code removed upstream, making some bug reports not applicable
      now (Closes: #298982 #526908)
    - Incorporates patch to fix bug "timidity MIDI playback plays drums that
      should be musical notes" (Closes: #575575).  Thanks Matthew W. Miller
      <mwmiller@columbus.rr.com> for the patch.
    - Supports fluidsynth and modplug, add to dependencies
  * Removed patches obsolete now (because of the removal of Native GPL MIDI
    code)
    - 03_awe_voice.patch
    - 06_dev_snd_seq.patch
  * Removed patches picked from/incorporated upstream:
    - 00_link_libm_hgdb31b63abab9.patch: "link libm with sdl-mixer"
    - 07_FLAC_SDL_RWops_memory_leaks.patch: "Fix memory leaks with FLAC"
  * Documented and refreshed the remaining patches:
    - 01_no_lvorbis_logg.patch
    - 02_hurd.patch
    - 04_timidity_cfg_opts.patch
    - 05_fallback_to_freepats.patch

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 20 Jan 2012 23:08:15 +0000

sdl-mixer1.2 (1.2.11-7) unstable; urgency=low

  * Improve description and reorganise a bit the control file
  * Use "Multi-Arch: same" also for the -dev package, following the change in
    sdl-net1.2 at revision 1.2.7-5

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 21 Dec 2011 19:06:12 +0000

sdl-mixer1.2 (1.2.11-6) unstable; urgency=low

  [ Felix Geyer ]
  * Switch to debhelper compat level v9.
    - Build for multiarch.

  [ Manuel A. Fernandez Montecelo ]
  * Correct watch file, the previous one was detecting versions wrongly
  * Quell lintian warnings:
    - binary-control-field-duplicates-source (remove field from binary package
      libsdl-mixer1.2)
    - unused-license-paragraph-in-dep5-copyright (remove GPL-2 paragraph)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 19 Dec 2011 00:04:34 +0000
