=== debian/control ===
Source: sdl-mixer1.2
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9~),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               libflac-dev (>= 1.2.1),
               libfluidsynth-dev (>= 1.1.1),
               libmad0-dev (>= 0.15.1b),
               libmodplug-dev (>= 1:0.8.8),
               libmikmod2-dev (>= 3.1.11),
               libogg-dev (>= 1.2.0),
               libsdl1.2-dev (>= 1.2.14~),
               libtool,
               libvorbis-dev (>= 1.2.0)
Homepage: http://www.libsdl.org/projects/SDL_mixer/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/sdl-mixer1.2.git
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/sdl-mixer1.2.git

Package: libsdl-mixer1.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: musescore-soundfont-gm | fluid-soundfont-gm | freepats
Description: Mixer library for Simple DirectMedia Layer 1.2, libraries
 SDL_mixer is a sample multi-channel audio mixer library.  It supports any
 number of simultaneously playing channels of 16 bit stereo audio, plus a single
 channel of music, mixed by the popular FLAC, MikMod MOD, Timidity MIDI, Ogg
 Vorbis, and SMPEG MP3 libraries.
 .
 This package contains the shared library.

Package: libsdl-mixer1.2-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Depends: ${misc:Depends},
         libsdl-mixer1.2 (= ${binary:Version})
Description: Mixer library for Simple DirectMedia Layer 1.2, debugging
 SDL_mixer is a sample multi-channel audio mixer library.  It supports any
 number of simultaneously playing channels of 16 bit stereo audio, plus a single
 channel of music, mixed by the popular FLAC, MikMod MOD, Timidity MIDI, Ogg
 Vorbis, and SMPEG MP3 libraries.
 .
 This package contains the debugging information for the shared library.

Package: libsdl-mixer1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libsdl-mixer1.2 (= ${binary:Version}),
         libflac-dev (>= 1.2.1),
         libmad0-dev (>= 0.15.1b),
         libmikmod2-dev (>= 3.1.11),
         libogg-dev (>= 1.2.0),
         libsdl1.2-dev (>= 1.2.14~),
         libvorbis-dev (>= 1.2.0)
Description: Mixer library for Simple DirectMedia Layer 1.2, development files
 SDL_mixer is a sample multi-channel audio mixer library.  It supports any
 number of simultaneously playing channels of 16 bit stereo audio, plus a single
 channel of music, mixed by the popular FLAC, MikMod MOD, Timidity MIDI, Ogg
 Vorbis, and SMPEG MP3 libraries.
 .
 This package contains the development files.
