=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND = -pipe -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,-Bsymbolic -Wl,--as-needed


# enable external music player
confflags = --enable-music-cmd

# explicitly enable/disable all supported sound, using libmad instead of
# libsmpeg for mp3 (it's much more popular, and smpeg is unmaintained)
confflags += --enable-music-wave
confflags += --enable-music-mod
confflags += --enable-music-ogg
confflags += --enable-music-mod
confflags += --disable-music-mp3
confflags += --enable-music-mp3-mad-gpl

# Explicitly state what we use
confflags += --enable-music-timidity-midi
confflags += --enable-music-native-midi

# mafm 20111203: removed the "disable shared" support from previous versions, I
# couldn't find any reason for it in the changelog
#
# mafm 20111204: issue "disable-*-shared" flags for 'configure' again, otherwise
# SDL_mixer library opens those libraries in a plugin-like way (with
# SDL_LoadObject), and dpkg-shlibdeps doesn't seem to generate the needed
# dependencies in the binary library package
confflags += --disable-music-mod-shared
confflags += --disable-music-ogg-shared
confflags += --disable-music-mp3-shared
confflags += --disable-music-flac-shared
confflags += --disable-music-fluidsynth-shared


%:
	dh $@ --with autoreconf --parallel

autoreconf:
	./autogen.sh
	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub build-scripts/

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES

override_dh_strip:
	dh_strip --dbg-package=libsdl-mixer1.2-dbg
